gvm_stream_validator Struct Reference

Data stream validator structure. More...

## Data Fields

gchar * | expected_hash_str
| Expected hash algorithm and hex string.
gchar * | expected_hash_hex
| Expected hash value as hexadecimal string.
int | algorithm
| The hash algorithm used.
size_t | expected_size
| Expected amount of data to validate.
size_t | current_size
| Current total amount of data received.
gboolean | size_enforced
| TRUE enforce size checks; FALSE hash-only.
gcry_md_hd_t | gcrypt_md_hd
| gcrypt message digest handle.

## Detailed Description

Data stream validator structure.

## Field Documentation

## algorithm

int gvm_stream_validator::algorithm

The hash algorithm used.

## current_size

size_t gvm_stream_validator::current_size

Current total amount of data received.

## expected_hash_hex

gchar* gvm_stream_validator::expected_hash_hex

Expected hash value as hexadecimal string.

## expected_hash_str

gchar* gvm_stream_validator::expected_hash_str

Expected hash algorithm and hex string.

## expected_size

size_t gvm_stream_validator::expected_size

Expected amount of data to validate.

## gcrypt_md_hd

gcry_md_hd_t gvm_stream_validator::gcrypt_md_hd

gcrypt message digest handle.

## size_enforced

gboolean gvm_stream_validator::size_enforced

TRUE enforce size checks; FALSE hash-only.

The documentation for this struct was generated from the following file:

- util/streamvalidator.c